Can no longer access APIs due to "error: API Key Required" 3.0.1/3.0.2/3.1.0

Feel free to talk about anything and everything in this board.
Post Reply
OldRustyKnight
Newbie
Newbie
Posts: 2
Joined: September 4th, 2020, 9:34 pm

Can no longer access APIs due to "error: API Key Required" 3.0.1/3.0.2/3.1.0

Post by OldRustyKnight »

macOS High Sierra, 10.13.6

I've started having issues accessing the APIs after upgrading to 3.0.2. I've also tried download grading to 3.0.1 and upgrading to 3.1.0 and still have the same issues.

Each new install involves shutting down the sever, installing it and rebooting the machine before testing again.

The only success I did have is when I removed all configuration information from

Code: Select all

/Users/<user>/Library/Application Support/SABnzbd
but it was short lived.

I've verified that the API keys are correct and even regenerated them to be sure, but every time I try and access the API, I get
error: API Key Required

Code: Select all

> curl http://xxx.xxx.xxx.xxx:xxxx/api?mode=history&output=json&apikey=xxxx&limit=65535
[1] 942
[2] 943
[3] 944
error: API Key Required
[1]   Done                    curl http://xxx.xxx.xxx.xxx:xxxx/api?mode=history
[2]-  Done                    output=json
[3]+  Done                    apikey=xxxx

User avatar
safihre
Administrator
Administrator
Posts: 3973
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: Can no longer access APIs due to "error: API Key Required" 3.0.1/3.0.2/3.1.0

Post by safihre »

Strange. What if you just open that URL in the browser?
Alternatively, open the interface in a browser, check the URL that is used there and just modify it.
If you like our support, check our special newsserver deal or donate at: https://sabnzbd.org/donate

OldRustyKnight
Newbie
Newbie
Posts: 2
Joined: September 4th, 2020, 9:34 pm

Re: Can no longer access APIs due to "error: API Key Required" 3.0.1/3.0.2/3.1.0

Post by OldRustyKnight »

Hadn't thought of that - I did roll back to 2.3.9, removed all the config and a couple of reboots later got it working.

The first time I noticed the issues was through use of some Swift code I wrote to automate some of my workflow
Last edited by OldRustyKnight on September 5th, 2020, 5:53 pm, edited 1 time in total.

User avatar
safihre
Administrator
Administrator
Posts: 3973
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: Can no longer access APIs due to "error: API Key Required" 3.0.1/3.0.2/3.1.0

Post by safihre »

Oke, let me know if any new problems arise!
If you like our support, check our special newsserver deal or donate at: https://sabnzbd.org/donate

Post Reply